#!/usr/bin/env ipython
from pathlib import Path

class GradientMesh:
    """ Class representing a gradient mesh. """
    def __init__(self):
        raise NotImplementedError

    def render(self):  # TODO type
        raise NotImplementedError

    def to_str(self) -> str:
        raise NotImplementedError

    @classmethod
    def from_str(cls, str):
        raise NotImplementedError

    def __repr__(self) -> str:
        raise NotImplementedError

def read_gm(filename: Path) -> GradientMesh:
    raise NotImplementedError
